=== debian/changelog ===
xen-tools (4.9.2-1) unstable; urgency=medium

  * New upstream maintenance release
    + Update list of Ubuntu and Debian releases.
    + Fix bashism in release testing target "tidy".
    + xt-guess-suite-and-mirror:
      - Bump default Ubuntu fallback release to 22.04 Jammy LTS.
      - Add new option --sources-list to pass a file to parse.
      - Add support for Ubuntu Ports APT repos. (Closes: #1023667,
        LP: #1995969)
  * Update upstream signing key to update its expiry date.
  * Depend and Build-Depend on non-(build-)essential package
    mount. (Closes: #1027383)
  * Also mention "vsyscall=emulate" in package description and
    README.Debian. (Closes: #1028388)
  * Declare compliance with Debian Policy 4.6.2. No changes needed.

 -- Axel Beckert <abe@debian.org>  Mon, 06 Feb 2023 02:57:47 +0100
