=== debian/control ===
Source: xen-tools
Section: utils
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13),
               devscripts,
               git,
               libdata-validate-domain-perl,
               libdata-validate-ip-perl,
               libdata-validate-uri-perl,
               libfile-slurp-perl,
               libfile-which-perl,
               liblog-message-perl | perl (<< 5.17.0),
               libterm-ui-perl | perl (<< 5.17.0),
               libsort-versions-perl,
               libtest-file-contents-perl,
               libtest-notabs-perl,
               libtest-pod-coverage-perl,
               libtest-pod-perl,
               libtext-template-perl,
               mount
Standards-Version: 4.6.2
Homepage: https://xen-tools.org/software/xen-tools
Vcs-Browser: https://github.com/xen-tools/xen-tools
Vcs-Git: https://github.com/xen-tools/xen-tools.git
Rules-Requires-Root: no

Package: xen-tools
Architecture: all
Depends: debootstrap | cdebootstrap,
         libconfig-inifiles-perl,
         libdata-validate-domain-perl,
         libdata-validate-ip-perl,
         libdata-validate-uri-perl,
         libfile-slurp-perl,
         libfile-which-perl,
         libsort-versions-perl,
         libterm-ui-perl | perl (<< 5.17.0),
         libtext-template-perl,
         mount,
         openssh-client,
         perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: debian-archive-keyring,
            debootstrap (>= 1.0.117~),
            e2fsprogs,
            libexpect-perl,
            lvm2,
            rinse (>= 1.9.1-1),
            ubuntu-keyring | ubuntu-archive-keyring,
            xen-hypervisor,
            xen-utils
Suggests: btrfs-progs | btrfs-tools,
          cfengine2,
          grub-xen-host,
          reiserfsprogs,
          xfsprogs
Description: Tools to manage Xen virtual servers
 This package contains tools to manage Debian based Xen virtual servers.
 .
 Using the scripts you can easily create fully configured Xen guest
 domains (DomU) which can be listed, updated, or copied easily.
 .
 xen-tools currently can install:
 .
   * Debian 3.1 Sarge (i386 only)
   * Debian 4.0 Etch
   * Debian 5.0 Lenny
   * Debian 6.0 Squeeze
   * Debian 7 Wheezy
   * Debian 8 Jessie
   * Debian 9 Stretch
   * Debian 10 Buster
   * Debian 11 Bullseye
   * Debian 12 Bookworm (under development)
   * Debian 13 Trixie (knows about this future release name)
   * Debian 14 Forky (knows about this future release name)
   * Debian Sid (Unstable)
   * Ubuntu 6.06 Dapper Drake (LTS)
   * Ubuntu 6.10 Edgy Eft
   * Ubuntu 7.04 Feisty Fawn
   * Ubuntu 7.10 Gutsy Gibbon
   * Ubuntu 8.04 Hardy Heron (LTS)
   * Ubuntu 8.10 Intrepid Ibex
   * Ubuntu 9.04 Jaunty Jackaplope
   * Ubuntu 9.10 Karmic Koala
   * Ubuntu 10.04 Lucid Lynx (LTS)
   * Ubuntu 10.10 Maverick Meerkat
   * Ubuntu 11.04 Natty Narwhal
   * Ubuntu 11.10 Oneiric Ocelot
   * Ubuntu 12.04 Precise Pangolin (LTS)
   * Ubuntu 12.10 Quantal Quetzal
   * Ubuntu 13.04 Raring Ringtail
   * Ubuntu 13.10 Saucy Salamander
   * Ubuntu 14.04 Trusty Tahr (LTS)
   * Ubuntu 14.10 Utopic Unicorn
   * Ubuntu 15.04 Vivid Vervet
   * Ubuntu 15.10 Wily Werewolf
   * Ubuntu 16.04 Xenial Xerus (LTS)
   * Ubuntu 16.10 Yakkety Yak
   * Ubuntu 17.04 Zesty Zapus
   * Ubuntu 17.10 Artful Aardvark
   * Ubuntu 18.04 Bionic Beaver (LTS)
   * Ubuntu 18.10 Cosmic Cuttlefish
   * Ubuntu 19.04 Disco Dingo
   * Ubuntu 19.10 Eoan Ermine
   * Ubuntu 20.04 Focal Fossa (LTS)
   * Ubuntu 20.10 Groovy Gorilla
   * Ubuntu 21.04 Hirsute Hippo
   * Ubuntu 21.10 Impish Indri
   * Ubuntu 22.04 Jammy Jellyfish (LTS)
   * Ubuntu 22.10 Kinetic Kudu
   * Ubuntu 23.04 Lunar Lobster (preliminary support, under development)
   * CentOS 5
   * CentOS 6
 .
 Note: Debian 7 Wheezy, Ubuntu 12.04 Precise Pangolin and any older
 release requires the Linux kernel of the hosting machine to be booted
 with "vsyscall=emulate" on the kernel commandline (i.e. in the
 bootloader) to bootstrap these releases with xen-tools. See
 /usr/share/doc/xen-tools/README.Debian for details.
