=== debian/tests/control ===
Tests: functionality
Depends: @, @builddeps@

Tests: adequate
Depends: @, adequate
